aboutsummaryrefslogtreecommitdiffstats
path: root/modules/buildsystem/templates/sync2010.1
diff options
context:
space:
mode:
Diffstat (limited to 'modules/buildsystem/templates/sync2010.1')
-rw-r--r--modules/buildsystem/templates/sync2010.115
1 files changed, 15 insertions, 0 deletions
diff --git a/modules/buildsystem/templates/sync2010.1 b/modules/buildsystem/templates/sync2010.1
new file mode 100644
index 00000000..ec1c4903
--- /dev/null
+++ b/modules/buildsystem/templates/sync2010.1
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ `whoami` != <%= sched_login %> ]
+then
+ echo 'this script should be run as <%= sched_login %>' >&2
+ exit 1
+fi
+
+cd /distrib/mandriva/2010.1-mgaserv || exit 1
+rsync -avH <%= build_login %>@jonund:/home/iurt/2010.1-SRPMS/ ./SRPMS
+cd x86_64 || exit 1
+rsync -avH <%= build_login %>@jonund:/home/iurt/iurt/mandriva2010.1/x86_64/*.rpm .
+ssh <%= build_login %>@jonund rm -f '/home/iurt/iurt/mandriva2010.1/x86_64/*.rpm'
+genhdlist2 .
+